import _Vue from 'vue';
import { IOption } from '../directives/aware';
import { Manager } from './manager';
declare type viewportCallback = (width: number, height: number, ratio: number, context: _Vue) => void;
interface IViewportOption extends IOption<viewportCallback> {
    debounce?: number;
    throttle?: number;
}
export declare class Viewport extends Manager<IViewportOption> {
    private throttle;
    constructor(eventName: string);
    bind(el: HTMLElement, options: IViewportOption): void;
    unbind(): void;
    private handler;
}
export {};
