export declare type multimap<T> = Map<any, Set<T>>;
/**
 * Add key, value to multimap
 */
export declare function add(map: multimap<any>, key: any, value: any): void;
/**
 * Delete key, value to multimap
 */
export declare function del(map: multimap<any>, key: any, value: any): void;
/**
 * Fetch multimap value
 */
export declare function fetch(map: multimap<any>, key: any): Set<any>;
/**
 * Clean multimap key
 */
export declare function prune(map: multimap<any>, key: any): void;
