import _Vue from 'vue';
import { IOption } from '../directives/aware';
import { Manager } from './manager';
declare type scrollCallback = (x: number, y: number, context: _Vue) => void;
interface IScrollOption extends IOption<scrollCallback> {
    debounce?: number;
    throttle?: number;
}
export declare class Scroll extends Manager<IScrollOption> {
    constructor(eventName: string);
    bind(el: HTMLElement, options: IScrollOption): void;
    unbind(): void;
    private handler;
}
export {};
